de.esprit.netsuite.server

## Class AbstractServerLaunch<G extends ServerConfig,C extends ServerContext>

- java.lang.Object
- - de.esprit.appsuite.launch.AbstractApplicationLaunch<G,C>
  - - de.esprit.netsuite.server.AbstractServerLaunch<G,C>

- Direct Known Subclasses:
    EspritServerLaunch

      public abstract class AbstractServerLaunch<G extends ServerConfig,C extends ServerContext>
      extends AbstractApplicationLaunch<G,C>

  This class just nails the `ApplicationContext` to `ServerContext` and makes the `ServerContext` accessible from the launch.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.launch.AbstractApplicationLaunch

      `DO_NOT_EXIT, EXIT_CODE_CLP_ERROR, EXIT_CODE_LAUNCH_ERROR, isTestMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractServerLaunch(java.lang.String[] args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ApplicationCommandLineParser` | `createCommandLineParser(java.lang.String[] args)` Creates the CommandLineParser instance for launching the application.
    `protected void` | `launchApplication(C ctx)` Must be implemented for running a non-GUI application

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationLaunch

      `createContext, createSplashIcon, doOnContextCreated, doOnMainFrameCreated, getError, getLaunchedContext, getLaunchedMainFrame, handleCommandLineError, handleLaunchError, hasError, hasGui, launch, launchMainFrame, setTestMode, showFatalError, showFatalError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractServerLaunch

          public AbstractServerLaunch(java.lang.String[] args)

  - ### Method Detail

    - #### launchApplication

          protected final void launchApplication(C ctx)
                                          throws java.lang.Exception

      Description copied from class: `AbstractApplicationLaunch`
      Must be implemented for running a non-GUI application
      Overrides:
        `launchApplication` in class `AbstractApplicationLaunch<G extends ServerConfig,C extends ServerContext>`
      Throws:
        `java.lang.Exception`

    - #### createCommandLineParser

          protected ApplicationCommandLineParser createCommandLineParser(java.lang.String[] args)

      Description copied from class: `AbstractApplicationLaunch`
      Creates the CommandLineParser instance for launching the application.
      Specified by:
        `createCommandLineParser` in class `AbstractApplicationLaunch<G extends ServerConfig,C extends ServerContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.